﻿using System.Xml;

namespace WebApplication_Collection.Tests.Temp.PrototypeFactoryMethodMultiton_Config
{
    class ConfigDatabasePrototype: ConfigPrototype, IConfigPrototype
    {
        public string Name { private get; set; }
        public string ConnectionString { private get; set; }

        public ConfigDatabasePrototype()
        {
            
            XmlNode _xn = base.ReadConfigFile("database");
            Name = _xn.Name;
            ConnectionString = _xn.InnerText;
        }

        public IConfigPrototype Clone()
        {
            return (IConfigPrototype)this.MemberwiseClone();
        }

        public string GetName()
        {
            return Name;
        }

        public string GetValue()
        {
            return ConnectionString;
        }
    }
}
