﻿using System.Xml;

namespace WebApplication_Collection.Tests.Temp.PrototypeFactoryMethodMultiton_Config
{
    class ConfigFileurlPrototype: ConfigPrototype, IConfigPrototype
    {
        public string Name { private get; set; }
        public string Address { private get; set; }
        
        public ConfigFileurlPrototype()
        {
            XmlNode _xn = base.ReadConfigFile("fileurl");
            Name = _xn.Name;
            Address = _xn.InnerText;
        }

        public IConfigPrototype Clone()
        {
            return (IConfigPrototype)this.MemberwiseClone();
        }

        public string GetName()
        {
            return Name;
        }

        public string GetValue()
        {
            return Address;
        }
    }
}
