﻿namespace WebApplication_Collection.Tests.Temp.PrototypeFactoryMethodMultiton_Config
{
    class ConfigMultiton
    {
        protected static IConfigPrototype _configDatabasePrototype = new ConfigDatabasePrototype();
        protected static IConfigPrototype _configFileurlPrototype = new ConfigFileurlPrototype();        

        private static ConfigMultiton _configMutiton = new ConfigMultiton();

        private ConfigMultiton() { }

        public static ConfigMultiton GetInstance()
        {
            return _configMutiton;
        }

        public IConfigPrototype ConfigFactoryMethod(string Name)
        {
            IConfigPrototype _prototype =null;
            switch (Name)
            {
                case "database":
                    _prototype = _configDatabasePrototype.Clone();
                    break;
                case "fileurl":
                    _prototype = _configFileurlPrototype.Clone();
                    break;                    
                default:
                    break;
            }
            return _prototype;
        }
    }
}
